package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

/*
 *项目名: netflix
 *文件名: AppleAutoRegisterData
 *创建者: JavaZou
 *创建时间:2022/11/22 16:16
 */
@Getter
@Setter
public class AppleAutoRegisterData extends BaseEntity{
	private String applePwdId;

	private CountryOrArea countryOrArea;

	/**
	 * 使用状态
	 */
	private Boolean status;

	private Long userId;

	private Long orderId;

	private String remark;

	@Getter
	public enum CountryOrArea {
		CN_TaiWan("中国台湾"),
		CN_HongKong("中国香港"),
		US("美国"),
		JAPAN("日本"),
		;
		String desc;

		CountryOrArea(String desc) {
			this.desc = desc;
		}
	}
}
